
<div class="container">
    <div class="row" *ngIf="types.length > 0 && brands.length">
        <section class="col-3">
            <h5 class="text-primary ms-3">Sort</h5>
            <select class="form-select" (change)="onSortSelected($event)">
                <option *ngFor="let sort of sortOptions" [value]="sort.value">
                    {{sort.name}}
                </option>
            </select>
            <h5 class="text-primary ms-3">Brands</h5>
            <ul class="list-group my-3">
                <li class="list-group-item" 
                    *ngFor="let brand of brands"
                    [class.active]="brand.id == shopParams.brandId"
                    [value]="brand.id"
                    (click)="onBrandSelected(brand.id)"
                >{{brand.name}}</li>
            </ul>
            <h5 class="text-primary ms-3">Types</h5>
            <ul class="list-group my-3">
                <li class="list-group-item" 
                    *ngFor="let type of types"
                    [class.active]="type.id == shopParams.typeId"
                    [value]="type.id"
                    (click)="onTypeSelected(type.id)"    
                >{{type.name}}</li>
            </ul>
        </section>
        <section class="col-9">
            <div class="d-flex justify-content-between align-items-center pb-2">
                <app-paging-header
                    [totalCount]="totalCount"
                    [pageNumber]="shopParams.pageNumber"
                    [pageSize]="shopParams.pageSize"
                >
                </app-paging-header>

                <div class="d-flex mt-2">
                    <input (keyup.enter)="onSearch()" type="text" class="form-control me-2" placeholder="Search" #search>
                    <button (click)="onSearch()" class="btn btn-outline-primary mx-2">Search</button>
                    <button (click)="onReset()" class="btn btn-outline-success">Reset</button>
                </div>
            </div>

            <div class="row row-cols-3 g-3 mb-4">
                <div class="col-lg-4 col-md-6" *ngFor="let product of products">
                    <app-product-item [product]="product"></app-product-item>
                </div>
            </div>
            <div class="d-flex justify-content-center" *ngIf="totalCount > 0">
                <app-pager
                    [totalCount]="totalCount"
                    [pageSize]="shopParams.pageSize"
                    (pageChanged)="onPageChange($event)"
                ></app-pager>
            </div>
        </section>
    </div>
</div>
